/!\ Alpha code will break a lot in the coming week


# motion-assets

motion-assets allows RubyMotion projects to use ImageMagick to generate all the icons sizes.


## Installation

You need to have ImageMagick installed: 

```
$ brew install imagemagick
```

And the gem installed: 

```
$ [sudo] gem install motion-assets
```

Or if you use Bundler:

```ruby
gem 'motion-assets'
```

Optional, you can install ImageOption to optimize your images : https://imageoptim.com


## Setup

In the `Rakefile`, set paths for your base images :

```ruby
Motion::Project::App.setup do |app|
  # ...
  app.assets.source_icon = "./src_images/icon-1024x1024.png"
  app.assets.source_splash = "./src_images/splash-1024x1024.png"
  
  # optional
  app.assets.output_dir = "./some/directory"
end
```

## Configuration

You can add or remove icons :

```ruby
Motion::Project::App.setup do |app|
  # ...
  app.assets.icons << 'CustomSize.png|32x32'
  app.assets.icons.delete('Icon-60@2x.png|120x120')
end
```

Note : motion-assets will autopopulate your `app.icons` array with the list of created icons.

## Tasks

To tell motion-assets to generate the assets :

```
$ [bundle exec] rake assets:generate
```


note : the sample icon comes from the great Pixelmator tool, http://www.pixelmator.com/
